=== modified file 'bzrlib/_walkdirs_win32.pyx'
--- bzrlib/_walkdirs_win32.pyx	2012-03-28 14:04:31 +0000
+++ bzrlib/_walkdirs_win32.pyx	2012-03-29 08:34:13 +0000
@@ -95,11 +95,19 @@
             return self._st_size
 
     # os.stat always returns 0, so we hard code it here
-    cdef readonly int st_dev
-    cdef readonly int st_ino
+    property st_dev:
+        def __get__(self):
+            return 0
+    property st_ino:
+        def __get__(self):
+            return 0
     # st_uid and st_gid required for some external tools like bzr-git & dulwich
-    cdef readonly int st_uid
-    cdef readonly int st_gid
+    property st_uid:
+        def __get__(self):
+            return 0
+    property st_gid:
+        def __get__(self):
+            return 0
 
     def __repr__(self):
         """Repr is the same as a Stat object.
@@ -198,10 +206,6 @@
         statvalue.st_mtime = _ftime_to_timestamp(&data.ftLastWriteTime)
         statvalue.st_atime = _ftime_to_timestamp(&data.ftLastAccessTime)
         statvalue._st_size = _get_size(data)
-        statvalue.st_ino = 0
-        statvalue.st_dev = 0
-        statvalue.st_uid = 0
-        statvalue.st_gid = 0
         return statvalue
 
     def read_dir(self, prefix, top):
@@ -293,8 +297,4 @@
     statvalue.st_mtime = st.st_mtime
     statvalue.st_atime = st.st_atime
     statvalue._st_size = st.st_size
-    statvalue.st_ino = 0
-    statvalue.st_dev = 0
-    statvalue.st_uid = 0
-    statvalue.st_gid = 0
     return statvalue

